textures/icygalaxy/stratosphere
{
    qer_editorImage env/icygalaxy/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodamage
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_surfacelight 115
    q3map_lightSubdivide 256
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 135 270 45 2 16
    skyParms env/icygalaxy/stratosphere - -
}

textures/icygalaxy/mirror
{
    qer_editorImage textures/icygalaxy/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    {
        map textures/_icygalaxy/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_icygalaxy/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/icygalaxy/tilenooby_sl
{
    qer_editorImage textures/icygalaxy/tilenooby.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilenooby.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilenooby_icy
{
    q3map_lightImage textures/icygalaxy/tilenooby.tga
    qer_editorImage textures/icygalaxy/qer_tilenooby_icy.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilenooby.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilenooby_hl
{
    qer_editorImage textures/icygalaxy/tilenooby.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilenooby.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileuberleet_sl
{
    qer_editorImage textures/icygalaxy/tileuberleet.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileuberleet.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileuberleet_icy
{
    q3map_lightImage textures/icygalaxy/tileuberleet.tga
    qer_editorImage textures/icygalaxy/qer_tileuberleet_icy.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileuberleet.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileleet0_sl
{
    qer_editorImage textures/icygalaxy/tileleet0.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileleet0.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileleet0_icy
{
    q3map_lightImage textures/icygalaxy/tileleet0.tga
    qer_editorImage textures/icygalaxy/qer_tileleet0_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileleet0.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileleet1_sl
{
    qer_editorImage textures/icygalaxy/tileleet1.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileleet1.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileleet1_icy
{
    q3map_lightImage textures/icygalaxy/tileleet1.tga
    qer_editorImage textures/icygalaxy/qer_tileleet1_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileleet1.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileleet2_sl
{
    qer_editorImage textures/icygalaxy/tileleet2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileleet2.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileleet2_icy
{
    q3map_lightImage textures/icygalaxy/tileleet2.tga
    qer_editorImage textures/icygalaxy/qer_tileleet2_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileleet2.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileblack
{
    q3map_lightImage textures/icygalaxy/tileblack.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_sl
{
    qer_editorImage textures/icygalaxy/tileblack.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_icy
{
    q3map_lightImage textures/icygalaxy/tileblack.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileblack_sl_lsty
{
    q3map_lightImage textures/icygalaxy/tileblack.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_lsty.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icygalaxy/tileblack.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_hl
{
    qer_editorImage textures/icygalaxy/tileblack.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_med
{
    q3map_lightImage textures/icygalaxy/tileblack_med.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_med_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack_med.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_med_l
{
    q3map_lightImage textures/icygalaxy/tileblack_med.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_med_tr_l.jpg
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack_med.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_med_sl
{
    qer_editorImage textures/icygalaxy/tileblack_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack_med.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_med_sl_lsty
{
    q3map_lightImage textures/icygalaxy/tileblack_med.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_med_lsty.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icygalaxy/tileblack_med.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_sm
{
    q3map_lightImage textures/icygalaxy/tileblack_sm.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_sm_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack_sm.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_sm_sl
{
    qer_editorImage textures/icygalaxy/tileblack_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileblack_sm.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileblack_sm_sl_lsty
{
    q3map_lightImage textures/icygalaxy/tileblack_sm.tga
    qer_editorImage textures/icygalaxy/qer_tileblack_sm_lsty.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icygalaxy/tileblack_sm.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilepeacock
{
    q3map_lightImage textures/icygalaxy/tilepeacock.tga
    qer_editorImage textures/icygalaxy/qer_tilepeacock_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilepeacock.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilepeacock_sl
{
    qer_editorImage textures/icygalaxy/tilepeacock.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilepeacock.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilepeacock_icy
{
    q3map_lightImage textures/icygalaxy/tilepeacock.tga
    qer_editorImage textures/icygalaxy/qer_tilepeacock_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilepeacock.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilepeacock_hl
{
    qer_editorImage textures/icygalaxy/tilepeacock.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilepeacock.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilebanana
{
    q3map_lightImage textures/icygalaxy/tilebanana.tga
    qer_editorImage textures/icygalaxy/qer_tilebanana_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilebanana.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilebanana_sl
{
    qer_editorImage textures/icygalaxy/tilebanana.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilebanana.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilebanana_icy
{
    q3map_lightImage textures/icygalaxy/tilebanana.tga
    qer_editorImage textures/icygalaxy/qer_tilebanana_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilebanana.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilebanana_hl
{
    qer_editorImage textures/icygalaxy/tilebanana.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilebanana.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilehoneydew
{
    q3map_lightImage textures/icygalaxy/tilehoneydew.tga
    qer_editorImage textures/icygalaxy/qer_tilehoneydew_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilehoneydew.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilehoneydew_sl
{
    qer_editorImage textures/icygalaxy/tilehoneydew.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilehoneydew.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilehoneydew_icy
{
    q3map_lightImage textures/icygalaxy/tilehoneydew.tga
    qer_editorImage textures/icygalaxy/qer_tilehoneydew_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilehoneydew.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilehoneydew_hl
{
    qer_editorImage textures/icygalaxy/tilehoneydew.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilehoneydew.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecrimson
{
    q3map_lightImage textures/icygalaxy/tilecrimson.tga
    qer_editorImage textures/icygalaxy/qer_tilecrimson_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecrimson.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecrimson_sl
{
    qer_editorImage textures/icygalaxy/tilecrimson.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecrimson.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecrimson_icy
{
    q3map_lightImage textures/icygalaxy/tilecrimson.tga
    qer_editorImage textures/icygalaxy/qer_tilecrimson_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecrimson.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilecrimson_hl
{
    qer_editorImage textures/icygalaxy/tilecrimson.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecrimson.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecrimson_hl_icy
{
    q3map_lightImage textures/icygalaxy/tilecrimson.tga
    qer_editorImage textures/icygalaxy/qer_tilecrimson_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecrimson.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilejungle
{
    q3map_lightImage textures/icygalaxy/tilejungle.tga
    qer_editorImage textures/icygalaxy/qer_tilejungle_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilejungle.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilejungle_sl
{
    qer_editorImage textures/icygalaxy/tilejungle.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilejungle.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilejungle_icy
{
    q3map_lightImage textures/icygalaxy/tilejungle.tga
    qer_editorImage textures/icygalaxy/qer_tilejungle_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilejungle.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilejungle_hl
{
    qer_editorImage textures/icygalaxy/tilejungle.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilejungle.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecarrot
{
    q3map_lightImage textures/icygalaxy/tilecarrot.tga
    qer_editorImage textures/icygalaxy/qer_tilecarrot_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecarrot.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecarrot_sl
{
    qer_editorImage textures/icygalaxy/tilecarrot.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecarrot.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecarrot_icy
{
    q3map_lightImage textures/icygalaxy/tilecarrot.tga
    qer_editorImage textures/icygalaxy/qer_tilecarrot_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecarrot.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilecarrot_hl
{
    qer_editorImage textures/icygalaxy/tilecarrot.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecarrot.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecobalt
{
    q3map_lightImage textures/icygalaxy/tilecobalt.tga
    qer_editorImage textures/icygalaxy/qer_tilecobalt_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecobalt.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecobalt_sl
{
    qer_editorImage textures/icygalaxy/tilecobalt.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecobalt.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecobalt_hl
{
    qer_editorImage textures/icygalaxy/tilecobalt.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecobalt.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilecobalt_hl_icy
{
    q3map_lightImage textures/icygalaxy/tilecobalt.tga
    qer_editorImage textures/icygalaxy/qer_tilecobalt_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilecobalt.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilechocolate
{
    q3map_lightImage textures/icygalaxy/tilechocolate.tga
    qer_editorImage textures/icygalaxy/qer_tilechocolate_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilechocolate.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilechocolate_sl
{
    qer_editorImage textures/icygalaxy/tilechocolate.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilechocolate.tga
        blendFunc filter
    }
}

textures/icygalaxy/tilechocolate_icy
{
    q3map_lightImage textures/icygalaxy/tilechocolate.tga
    qer_editorImage textures/icygalaxy/qer_tilechocolate_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilechocolate.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tilechocolate_hl
{
    qer_editorImage textures/icygalaxy/tilechocolate.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tilechocolate.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileorchid
{
    q3map_lightImage textures/icygalaxy/tileorchid.tga
    qer_editorImage textures/icygalaxy/qer_tileorchid_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileorchid.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileorchid_sl
{
    qer_editorImage textures/icygalaxy/tileorchid.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileorchid.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileorchid_icy
{
    q3map_lightImage textures/icygalaxy/tileorchid.tga
    qer_editorImage textures/icygalaxy/qer_tileorchid_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileorchid.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileorchid_hl
{
    qer_editorImage textures/icygalaxy/tileorchid.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileorchid.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileorchid_hl_icy
{
    q3map_lightImage textures/icygalaxy/tileorchid.tga
    qer_editorImage textures/icygalaxy/qer_tileorchid_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileorchid.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileseashell
{
    q3map_lightImage textures/icygalaxy/tileseashell.tga
    qer_editorImage textures/icygalaxy/qer_tileseashell_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileseashell.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileseashell_sl
{
    qer_editorImage textures/icygalaxy/tileseashell.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileseashell.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileseashell_icy
{
    q3map_lightImage textures/icygalaxy/tileseashell.tga
    qer_editorImage textures/icygalaxy/qer_tileseashell_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileseashell.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileviolet
{
    q3map_lightImage textures/icygalaxy/tileviolet.tga
    qer_editorImage textures/icygalaxy/qer_tileviolet_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileviolet.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileviolet_sl
{
    qer_editorImage textures/icygalaxy/tileviolet.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileviolet.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileviolet_icy
{
    q3map_lightImage textures/icygalaxy/tileviolet.tga
    qer_editorImage textures/icygalaxy/qer_tileviolet_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileviolet.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/tileviolet_hl
{
    qer_editorImage textures/icygalaxy/tileviolet.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileviolet.tga
        blendFunc filter
    }
}

textures/icygalaxy/tileviolet_hl_icy
{
    q3map_lightImage textures/icygalaxy/tileviolet.tga
    qer_editorImage textures/icygalaxy/qer_tileviolet_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/tileviolet.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/secret_tile1
{
    q3map_lightImage textures/icygalaxy/secret_tile1.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile1_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile1.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile1_sl
{
    qer_editorImage textures/icygalaxy/secret_tile1.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile1.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile1_hl
{
    qer_editorImage textures/icygalaxy/secret_tile1.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile1.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile1_hl_icy
{
    q3map_lightImage textures/icygalaxy/secret_tile1.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile1_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile1.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/secret_tile2
{
    q3map_lightImage textures/icygalaxy/secret_tile2.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile2_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile2.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile2_sl
{
    qer_editorImage textures/icygalaxy/secret_tile2.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile2.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile2_icy
{
    q3map_lightImage textures/icygalaxy/secret_tile2.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile2_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile2.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/secret_tile3
{
    q3map_lightImage textures/icygalaxy/secret_tile3.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile3_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile3.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile3_sl
{
    qer_editorImage textures/icygalaxy/secret_tile3.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile3.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile3_icy
{
    q3map_lightImage textures/icygalaxy/secret_tile3.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile3_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile3.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/secret_tile4
{
    q3map_lightImage textures/icygalaxy/secret_tile4.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile4_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile4.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile4_sl
{
    qer_editorImage textures/icygalaxy/secret_tile4.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile4.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile4_icy
{
    q3map_lightImage textures/icygalaxy/secret_tile4.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile4_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile4.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/secret_tile4_hl
{
    qer_editorImage textures/icygalaxy/secret_tile4.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile4.tga
        blendFunc filter
    }
}

textures/icygalaxy/secret_tile4_hl_icy
{
    q3map_lightImage textures/icygalaxy/secret_tile4.tga
    qer_editorImage textures/icygalaxy/qer_secret_tile4_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/secret_tile4.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/wood
{
    qer_editorImage textures/icygalaxy/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/wood.jpg
        blendFunc filter
    }
}

textures/icygalaxy/wood_str
{
    q3map_lightImage textures/icygalaxy/wood.jpg    
    qer_editorImage textures/icygalaxy/qer_wood_str.jpg
    q3map_bounceScale 0.7
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/wood.jpg
        blendFunc filter
    }
}

textures/icygalaxy/wood_l
{
    q3map_lightImage textures/icygalaxy/wood.jpg
    qer_editorImage textures/icygalaxy/qer_wood_l.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/wood.jpg
        blendFunc filter
    }
}

textures/icygalaxy/ladder
{
    qer_editorImage textures/icygalaxy/ladder.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/ladder.jpg
        blendFunc filter
    }
}

textures/icygalaxy/glass
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_tr
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear_tr.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_hl
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear_hl.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_trans
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear.tga
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_trans_l
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear_l.jpg
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_trans_tr
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear_tr.tga
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_trans_tr_l
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_clear_tr_l.jpg
    qer_trans 0.2
    q3map_bounceScale 0.22
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_cool
{
    q3map_lightImage textures/_icygalaxy/glass_radiosity.tga
    qer_editorImage textures/icygalaxy/qer_cool.tga
    qer_trans 0.6
    q3map_bounceScale 0.20
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.50 0.15 0.5 0.3
    }
    {
        map textures/_icygalaxy/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.07 0.02 0 0.3
        tcMod rotate 5
        tcMod scroll 0.005 0.003
    }
}

textures/icygalaxy/elev_plat
{
    qer_editorImage textures/icygalaxy/qer_elev_plat.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/elev_plat_tr
{
    qer_editorImage textures/icygalaxy/qer_elev_plat_tr.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icygalaxy/glass_dark
{
    qer_editorImage textures/icygalaxy/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icygalaxy/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/icygalaxy/glass_dark_tr
{
    qer_editorImage textures/icygalaxy/qer_glass_dark_tr.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icygalaxy/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/icygalaxy/glass_nil
{
    qer_editorImage textures/icygalaxy/glass_nil.tga
    q3map_bounceScale 0.0
    qer_trans 0.6
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icygalaxy/glass_nil_tr
{
    qer_editorImage textures/icygalaxy/glass_nil_tr.tga
    q3map_bounceScale 0.0
    qer_trans 0.6
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/icygalaxy/red_glow
{
    qer_editorImage textures/icygalaxy/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 120
    q3map_tessSize 64
    cull disable
    {
        map textures/_icygalaxy/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.75 0.25 0 1
    }
}

textures/icygalaxy/blue_glow
{
    qer_editorImage textures/icygalaxy/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 30
    q3map_tessSize 64
    cull disable
    {
        map textures/_icygalaxy/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.45 0.15 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icygalaxy/green_glow
{
    qer_editorImage textures/icygalaxy/qer_green_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 30
    q3map_tessSize 64
    cull disable
    {
        map textures/_icygalaxy/green_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icygalaxy/orange_glow
{
    qer_editorImage textures/icygalaxy/qer_orange_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/orange_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.30 0.07 0 2
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/icygalaxy/magenta_glow
{
    qer_editorImage textures/icygalaxy/qer_magenta_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icygalaxy/magenta_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.85 0.15 0 3
    }
}

textures/icygalaxy/green_tile_glow
{
    qer_editorImage textures/icygalaxy/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    {
        map textures/icygalaxy/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icygalaxy/green_tile_glow_sl
{
    qer_editorImage textures/icygalaxy/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icygalaxy/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icygalaxy/green_tile_glow_med_sl
{
    qer_editorImage textures/icygalaxy/green_tile_glow_med.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icygalaxy/green_tile_glow_med.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/icygalaxy/tile_trans_color
{
    qer_editorImage textures/icygalaxy/tile_trans_color.tga
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icygalaxy/tile_trans_color.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/tile_trans
{
    qer_editorImage textures/icygalaxy/tile_trans.tga
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icygalaxy/tile_trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/white
{
    qer_editorImage textures/icygalaxy/qer_white_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/white.tga
        blendFunc filter
    }
}

textures/icygalaxy/white_sl
{
    qer_editorImage textures/icygalaxy/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/white.tga
        blendFunc filter
    }
}

textures/icygalaxy/white_icy
{
    q3map_lightImage textures/icygalaxy/white.tga
    qer_editorImage textures/icygalaxy/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/white.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/white_hl
{
    qer_editorImage textures/icygalaxy/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/white.tga
        blendFunc filter
    }
}

textures/icygalaxy/white_hl_icy
{
    q3map_lightImage textures/icygalaxy/white.tga
    qer_editorImage textures/icygalaxy/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/white.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/gray_sl
{
    qer_editorImage textures/icygalaxy/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/gray.tga
        blendFunc filter
    }
}

textures/icygalaxy/gray_hl
{
    qer_editorImage textures/icygalaxy/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/gray.tga
        blendFunc filter
    }
}

textures/icygalaxy/gray_hl_icy
{
    q3map_lightImage textures/icygalaxy/gray.tga
    qer_editorImage textures/icygalaxy/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/gray.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/gray_dk_sl
{
    qer_editorImage textures/icygalaxy/gray_dk.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/gray_dk.tga
        blendFunc filter
    }
}

textures/icygalaxy/gray_dk_icy
{
    q3map_lightImage textures/icygalaxy/gray_dk.tga
    qer_editorImage textures/icygalaxy/qer_gray_dk_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/gray_dk.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/red_sl
{
    qer_editorImage textures/icygalaxy/lightred.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/lightred.tga
        blendFunc filter
    }
}

textures/icygalaxy/red_icy
{
    q3map_lightImage textures/icygalaxy/lightred.tga
    qer_editorImage textures/icygalaxy/qer_lightred_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/lightred.tga
        blendFunc filter
    }
    {
        map textures/_icygalaxy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icygalaxy/portal
{
    qer_editorImage textures/icygalaxy/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icygalaxy/portal.tga
        tcMod scroll 0 1
    }
}

textures/icygalaxy/portal_trans
{
    qer_editorImage textures/icygalaxy/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icygalaxy/portal.tga
        blendFunc blend
        alphaGen const 0.55
        tcMod scroll 0 1
    }
}

textures/icygalaxy/light
{
    qer_editorImage textures/icygalaxy/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icygalaxy/light.tga
    }
}

textures/icygalaxy/light_lsty
{
    qer_editorImage textures/icygalaxy/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icygalaxy/light.tga
        rgbGen wave noise 0.5 1 0 5.37 // style 1
    }
    {
        map textures/icygalaxy/light.tga
        blendFunc add
        rgbGen const ( 0.05 0.05 0.05 )
    }
}

textures/icygalaxy/light_hl
{
    qer_editorImage textures/icygalaxy/light.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nonsolid
    surfaceparm trans
    polygonOffset
    {
        map textures/icygalaxy/light.tga
    }
}

textures/icygalaxy/icy_galaxy
{
    qer_editorImage textures/icygalaxy/icy_galaxy.tga
    polygonOffset
    {
        map textures/icygalaxy/icy_galaxy.tga
        blendFunc blend
        rgbGen wave sin 0.75 0.25 0 0.4
        alphaGen const 1
    }
}

textures/icygalaxy/teh_end
{
    qer_editorImage textures/icygalaxy/teh_end.tga
    polygonOffset
    {
        map textures/icygalaxy/teh_end.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/uber_leet_phinish
{
    qer_editorImage textures/icygalaxy/uber_leet_phinish.tga
    polygonOffset
    {
        map textures/icygalaxy/uber_leet_phinish.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/dress_room
{
    qer_editorImage textures/icygalaxy/dress_room.tga
    polygonOffset
    {
        map textures/icygalaxy/dress_room.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icygalaxy/nooby_detour
{
    qer_editorImage textures/icygalaxy/nooby_detour.tga
    polygonOffset
    {
        map textures/icygalaxy/nooby_detour.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icygalaxy/nooby_drill
{
    qer_editorImage textures/icygalaxy/nooby_drill.tga
    polygonOffset
    {
        map textures/icygalaxy/nooby_drill.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icygalaxy/noobs_this_way
{
    qer_editorImage textures/icygalaxy/noobs_this_way.tga
    polygonOffset
    {
        map textures/icygalaxy/noobs_this_way.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icygalaxy/exit
{
    qer_editorImage textures/icygalaxy/exit.tga
    polygonOffset
    {
        map textures/icygalaxy/exit.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 1.7
        alphaGen const 1
    }
}

textures/icygalaxy/nooby_leet
{
    qer_editorImage textures/icygalaxy/nooby_leet.tga
    polygonOffset
    {
        map textures/icygalaxy/nooby_leet.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/good_job
{
    qer_editorImage textures/icygalaxy/good_job.tga
    polygonOffset
    {
        map textures/icygalaxy/good_job.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/detour_phinish
{
    qer_editorImage textures/icygalaxy/detour_phinish.tga
    polygonOffset
    {
        map textures/icygalaxy/detour_phinish.tga
        blendFunc blend
        rgbGen wave square 0.65 0.35 0 0.9
        alphaGen const 1
    }
}

textures/icygalaxy/uber_leet
{
    qer_editorImage textures/icygalaxy/uber_leet.tga
    polygonOffset
    {
        map textures/icygalaxy/uber_leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icygalaxy/leet_0
{
    qer_editorImage textures/icygalaxy/leet_0.tga
    polygonOffset
    {
        map textures/icygalaxy/leet_0.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icygalaxy/leet_1
{
    qer_editorImage textures/icygalaxy/leet_1.tga
    polygonOffset
    {
        map textures/icygalaxy/leet_1.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icygalaxy/leet_2
{
    qer_editorImage textures/icygalaxy/leet_2.tga
    polygonOffset
    {
        map textures/icygalaxy/leet_2.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 2.3
        alphaGen const 1
    }
}

textures/icygalaxy/looking_glass
{
    qer_editorImage textures/icygalaxy/qer_looking_glass.jpg
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_icygalaxy/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_icygalaxy/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/icygalaxy/black
{
    qer_editorImage textures/icygalaxy/black.tga
    surfaceparm nodamage
    {
        map textures/icygalaxy/black.tga
    }
}

textures/icygalaxy/black_sl
{
    qer_editorImage textures/icygalaxy/black.tga
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/icygalaxy/black.tga
    }
}

textures/icygalaxy/black_hl
{
    qer_editorImage textures/icygalaxy/black.tga
    qer_trans 0.5
    surfaceparm nonsolid
    {
        map textures/icygalaxy/black.tga
    }
}

textures/icygalaxy/depressed_button
{
    qer_editorImage textures/icygalaxy/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_icygalaxy/orange.tga
        blendFunc filter
    }
    {
        map textures/icygalaxy/lightorange.tga
        blendFunc add
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/icygalaxy/please_wait
{
    qer_editorImage textures/icygalaxy/qer_please_wait.tga
    polygonOffset
    {
        map textures/_icygalaxy/please_wait.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/nooby_hell
{
    qer_editorImage textures/icygalaxy/qer_nooby_hell.tga
    polygonOffset
    {
        map textures/_icygalaxy/nooby_hell.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/samus_lift
{
    qer_editorImage textures/icygalaxy/qer_samus_lift.tga
    polygonOffset
    {
        map textures/_icygalaxy/samus_lift.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/helpa_noob
{
    qer_editorImage textures/icygalaxy/qer_helpa_noob.tga
    polygonOffset
    {
        map textures/_icygalaxy/helpa_noob.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/killa_noob
{
    qer_editorImage textures/icygalaxy/qer_killa_noob.tga
    polygonOffset
    {
        map textures/_icygalaxy/killa_noob.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/leet_area
{
    qer_editorImage textures/icygalaxy/qer_leet_area.tga
    polygonOffset
    {
        map textures/_icygalaxy/leet_area.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/open_leet1
{
    qer_editorImage textures/icygalaxy/qer_open_leet1.tga
    polygonOffset
    {
        map textures/_icygalaxy/open_leet1.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/open_leet2
{
    qer_editorImage textures/icygalaxy/qer_open_leet2.tga
    polygonOffset
    {
        map textures/_icygalaxy/open_leet2.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/open_uberleet
{
    qer_editorImage textures/icygalaxy/qer_open_uberleet.tga
    polygonOffset
    {
        map textures/_icygalaxy/open_uberleet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/flashing_button
{
    qer_editorImage textures/icygalaxy/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_icygalaxy/red.tga
        blendFunc filter
    }
    {
        map textures/icygalaxy/lightred.tga
        blendFunc add
        rgbGen wave square 0.20 0.20 0 2.3
    }
}

textures/icygalaxy/lava
{
    qer_editorImage textures/icygalaxy/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_icygalaxy/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icygalaxy/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icygalaxy/lavafog
{
    qer_editorImage textures/icygalaxy/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/icygalaxy/lava_room_walls
{
    qer_editorImage textures/icygalaxy/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/icygalaxy/lava_room_walls_hl
{
    qer_editorImage textures/icygalaxy/lava_room_walls.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/icygalaxy/lava_room_walls_trans
{
    qer_editorImage textures/icygalaxy/lava_room_walls.jpg
    qer_trans 0.5
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/lava_room_walls.jpg
        blendFunc filter
    }
}

textures/icygalaxy/adobe_wall
{
    qer_editorImage textures/icygalaxy/adobe_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/adobe_wall.jpg
        blendFunc filter
    }
}

textures/icygalaxy/got_leet
{
    qer_editorImage textures/icygalaxy/qer_got_leet.jpg
    qer_trans 0.5
    surfaceparm trans
    sort 10
    polygonOffset
    {
        map textures/_icygalaxy/got_leet.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/got_noobsy
{
    qer_editorImage textures/icygalaxy/got_noobsy.tga
    polygonOffset
    {
        map textures/icygalaxy/got_noobsy.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/icygalaxy/dark_floor
{
    qer_editorImage textures/icygalaxy/dark_floor.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/dark_floor.jpg
        blendFunc filter
    }
}

textures/icygalaxy/dark_floor_lsty
{
    q3map_lightImage textures/icygalaxy/dark_floor.jpg
    qer_editorImage textures/icygalaxy/qer_dark_floor_lsty.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icygalaxy/dark_floor.jpg
        blendFunc filter
    }
}

textures/icygalaxy/dark_floor_l
{
    q3map_lightImage textures/icygalaxy/dark_floor.jpg
    qer_editorImage textures/icygalaxy/qer_dark_floor_l.jpg
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/dark_floor.jpg
        blendFunc filter
    }
}

textures/icygalaxy/dark_floor_l_lsty
{
    q3map_lightImage textures/icygalaxy/dark_floor.jpg
    qer_editorImage textures/icygalaxy/qer_dark_floor_l_lsty.jpg
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icygalaxy/dark_floor.jpg
        blendFunc filter
    }
}

textures/icygalaxy/cement_nil_l
{
    qer_editorImage textures/icygalaxy/cement_nil_l.tga
    q3map_bounceScale 0.0
    surfaceparm nolightmap
    {
    }
}

textures/icygalaxy/dark_floor_hl
{
    qer_editorImage textures/icygalaxy/dark_floor.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/dark_floor.jpg
        blendFunc filter
    }
}


textures/icygalaxy/dark_ceil
{
    qer_editorImage textures/icygalaxy/dark_ceil.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/dark_ceil.jpg
        blendFunc filter
    }
}

textures/icygalaxy/dark_ceil_lsty
{
    q3map_lightImage textures/icygalaxy/dark_ceil.jpg
    qer_editorImage textures/icygalaxy/qer_dark_ceil_lsty.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    q3map_styleMarker
    {
        map textures/icygalaxy/dark_ceil.jpg
        blendFunc filter
    }
}

textures/icygalaxy/dark_ceil_hl
{
    qer_editorImage textures/icygalaxy/dark_ceil.jpg
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/dark_ceil.jpg
        blendFunc filter
    }
}

textures/icygalaxy/stone_ceil
{
    qer_editorImage textures/icygalaxy/stone_ceil.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/stone_ceil.jpg
        blendFunc filter
    }
}

textures/icygalaxy/samus
{
    qer_editorImage textures/icygalaxy/samus.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icygalaxy/samus.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/samus_mir
{
    qer_editorImage textures/icygalaxy/samus_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icygalaxy/samus_mir.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/leet_tunnel
{
    qer_editorImage textures/icygalaxy/leet_tunnel.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icygalaxy/leet_tunnel.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/leet_tunnel_mir
{
    qer_editorImage textures/icygalaxy/leet_tunnel_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icygalaxy/leet_tunnel_mir.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/riley
{
    qer_editorImage textures/icygalaxy/riley.tga
    polygonOffset
    {
        map textures/icygalaxy/riley.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/walljump
{
    qer_editorImage textures/icygalaxy/walljump.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/walljump.tga
        blendFunc filter
    }
}

textures/icygalaxy/barrier
{
    qer_editorImage textures/icygalaxy/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/barrier.tga
        blendFunc filter
    }
}

textures/icygalaxy/lum_faint
{
    qer_editorImage textures/icygalaxy/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 7
    q3map_tessSize 96
    q3map_lightImage textures/icygalaxy/white.tga
}

textures/icygalaxy/lum_none
{
    qer_editorImage textures/icygalaxy/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 0
    q3map_tessSize 96
    q3map_lightImage textures/icygalaxy/white.tga
}

textures/icygalaxy/bigchecker
{
    qer_editorImage textures/icygalaxy/qer_bigchecker_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/bigchecker.tga
        blendFunc filter
    }
}

textures/icygalaxy/bigchecker_sl
{
    qer_editorImage textures/icygalaxy/bigchecker.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icygalaxy/bigchecker.tga
        blendFunc filter
    }
}

textures/icygalaxy/warning
{
    qer_editorImage textures/icygalaxy/warning.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/icygalaxy/warning.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icygalaxy/claudia
{
    qer_editorImage textures/icygalaxy/claudia.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
    {
        map textures/icygalaxy/claudia.tga
        blendFunc blend
        rgbGen const ( 0.6 0.6 0.6 )
        alphaGen const 1
    }
}

textures/icygalaxy/laetitia
{
    qer_editorImage textures/icygalaxy/laetitia.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
    {
        map textures/icygalaxy/laetitia.tga
        blendFunc blend
        rgbGen const ( 0.6 0.6 0.6 )
        alphaGen const 1
    }
}

textures/icygalaxy/megan
{
    qer_editorImage textures/icygalaxy/megan.tga
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    polygonOffset
    {
        map textures/icygalaxy/megan.tga
        blendFunc blend
        rgbGen const ( 0.6 0.6 0.6 )
        alphaGen const 1
    }
}

textures/icygalaxy/thundercats
{
    qer_editorImage textures/icygalaxy/thundercats.tga
    polygonOffset
    {
        map textures/icygalaxy/thundercats.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 0.5
    }
    {
        map textures/icygalaxy/thundercats.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icygalaxy/wtflogo
{
    qer_editorImage textures/icygalaxy/wtflogo.tga
    polygonOffset
    {
        map textures/icygalaxy/wtflogo.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/icygalaxy/wtflogo.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icygalaxy/quake3
{
    qer_editorImage textures/icygalaxy/quake3.tga
    polygonOffset
    {
        map textures/icygalaxy/quake3.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/icygalaxy/quake3.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icygalaxy/beastie
{
    qer_editorImage textures/icygalaxy/beastie.tga
    polygonOffset
    {
        map textures/icygalaxy/beastie.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 0.5
    }
    {
        map textures/icygalaxy/beastie.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/icygalaxy/precip_stopper
{
    qer_editorImage textures/icygalaxy/qer_precip_stopper.jpg
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm noimpact
}
